const isDev = location.hostname === "localhost";
/**
 LCD: curl https://cosmoshub.stakesystems.io/node_info
RPC: curl https://cosmoshub.stakesystems.io:2053/status
 */
export default {
	"Mainnet": [{
		"hash": "5e95f8d18ee6e64f7685a4db",
		"api": "V4",
		"chainId": "cosmoshub-3",
		"name": "Cosmos Hub",
		"lcd": "https://cosmoshub.stakesystems.io",
		"rpc": "https://cosmoshub.stakesystems.io:2053",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "cosmos",
		"unit": "ATOM",
		"host": "cosmos.ping.pub"
	}, {
		"hash": "5e95f8d18ee6e64f7685a4dd",
		"api": "V2",
		"chainId": "irishub",
		"name": "IRISnet",
		"lcd": "https://rpc.irisnet.org",
		"rpc": "http://seed-1.mainnet.irisnet.org:26657",
		"logo": "/static/chains/irishub.svg",
		"prefix": "iaa",
		"unit": "IRIS",
		"host": "iris.ping.pub"
	}, {
		"hash": "5e95f8d18ee6e64f7685a4de",
		"api": "V1",
		"chainId": "e-money",
		"name": "e-money",
		"lcd": "http://emoney.validator.network/light",
		"rpc": "https://emoney.validator.network",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "",
		"unit": "",
		"host": "e-money.ping.pub"
	}, {
		"hash": "5f46381683d9d569a6ecc5dd",
		"api": "V1",
		"chainId": "iov-mainnet-2",
		"name": "IOV Name Service",
		"lcd": "http://lcd-private-iov-mainnet-2.iov.one",
		"rpc": "https://rpc-private-iov-mainnet-2.iov.one",
		"logo": "https://iov.one/static/media/logoIOV2.d25f8426.png",
		"prefix": "star",
		"unit": "IOV"
	}, {
		"hash": "5f8c078b90b5fb7856ae3a06",
		"api": "V1",
		"chainId": "kava-2",
		"name": "Kava",
		"lcd": "https://kava4.data.kava.io",
		"rpc": "https://rpc.data.kava.io",
		"logo": "/static/chains/kava.svg",
		"prefix": "kava",
		"unit": "KAVA",
		"host": "kava.ping.pub"
	}, {
		"hash": "5f8c0ef91effe87834314467",
		"api": "V4",
		"chainId": "akashnet-1",
		"name": "Akash DeCloud",
		"lcd": "http://lcd.akash.forbole.com",
		"rpc": "http://rpc.akash.forbole.com",
		"logo": "https://gblobscdn.gitbook.com/spaces%2F-LrNFlfuifzmQ_NMKu9C%2Favatar.png?alt=media",
		"prefix": "akash",
		"unit": "AKT",
		"host": "akash.ping.pub"
	}, {
		"hash": "5fa15123f559583ed7465024",
		"api": "V1",
		"chainId": "gauss",
		"name": "GAUSS",
		"lcd": "https://txs-api-dev.app.gausslab.de:1317",
		"rpc": "https://txs-api-dev.app.gausslab.de",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "gauss",
		"unit": "gauss"
	}, {
		"hash": "5fa15123f559583ed7465023",
		"api": "V4",
		"chainId": "crypto-org-chain-mainnet-1",
		"name": "Crypto",
		"lcd": "https://mainnet.crypto.org:1317",
		"rpc": "https://mainnet.crypto.org:26657",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "crocncl",
		"unit": "BASECRO"
	}],
	"Testnet": [{
		"hash": "5e95f8d18ee6e64f7685a4df",
		"api": "V1",
		"chainId": "sentinelhub-test",
		"name": "Sentinel Network",
		"lcd": "https://lcd.turing.sentinel.co",
		"rpc": "https://rpc.turing.sentinel.co",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "",
		"unit": "",
		"host": "sentinel-test.ping.pub"
	}, {
		"hash": "5e95f8d18ee6e64f7685a4e1",
		"api": "V1",
		"chainId": "cyber-test",
		"name": "cyber",
		"lcd": "https://titan.cybernode.ai/lcd",
		"rpc": "https://titan.cybernode.ai/api",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "",
		"unit": "",
		"host": "cyber-test.ping.pub"
	}, {
		"hash": "5eabf1d1b8eb6314e2d99264",
		"api": "V1",
		"chainId": "iovns-galaxynet",
		"name": "iovns",
		"lcd": "http://iovnscli-rest-api.cluster-galaxynet.iov.one",
		"rpc": "https://rpc.cluster-galaxynet.iov.one/",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "cosmos",
		"unit": "ATOM"
	}, {
		"hash": "5f92b494ea5b4a772bfebd01",
		"api": "V1",
		"chainId": "stargate-4",
		"name": "stargate-4",
		"lcd": "https://rest.gaiasg4.hub.hackatom.dev",
		"rpc": "https://rpc.gaiasg4.hub.hackatom.dev",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "cosmos",
		"unit": "Muon"
	}, {
		"hash": "5f92bb80ea5b4a772bfebd02",
		"api": "V1",
		"chainId": "bigbang-1",
		"name": "BigBand-1",
		"lcd": "http://47.101.10.160:1317",
		"rpc": "http://47.101.10.160:26657",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "akash",
		"unit": "STAR"
	}, {
		"hash": "5f92bb80ea5b4a772bfebd03",
		"api": "V3",
		"chainId": "stargate-final",
		"name": "stargate-final",
		"lcd": "http://47.101.10.160:1317/",
		"rpc": "http://47.101.10.160:26657/",
		"logo": "/static/chains/cosmoshub.svg",
		"prefix": "cosmos",
		"unit": "ATOM"
	}]
};
